Bug 275743 - kontact doesn't start in summary tab
Summary: kontact doesn't start in summary tab
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Unclassified
Component: summary (show other bugs)
Version: 1.1
Platform: Chakra Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-15 18:04 UTC by basu123ra
Modified: 2011-07-10 21:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description basu123ra 2011-06-15 18:04:51 UTC
Version:           1.1 (using KDE 4.6.4) 
OS:                Linux

With the new KDE 4.6.4 Kontact doesn't have the option of start in the Summary tab. 

Now it starts in the last tab opened (kmail, korganizer, etc)

Reproducible: Didn't try




OS: Linux (x86_64) release 2.6.38-CHAKRA
Compiler: gcc
Comment 1 Christophe Giboudeaux 2011-07-07 21:46:17 UTC
Stephen, this issue is caused by commit f4908c1. Reverting it solves the bug
Comment 2 Christophe Giboudeaux 2011-07-07 21:47:31 UTC
(but reintroduces what the commit fixed)
Comment 3 Stephen Kelly 2011-07-10 10:38:19 UTC
How did you discover that that commit causes the bug? Just bisecting or do you understand more about what causes the bug? 

Do you know what is the connection between the NoDisplay=true for config and the summary-on-start?
Comment 4 Christophe Giboudeaux 2011-07-10 12:06:01 UTC
bisecting wasn't necessary, there haven't been a lot of commits in Kontact during the last months :)

Removing NoDisplay=true and the exec line may fix both issues. Testing that
Comment 5 Christophe Giboudeaux 2011-07-10 12:31:02 UTC
Git commit 8d7f5f76fb4f7f0fa073f3d9292abe141d5e45eb by Christophe Giboudeaux.
Committed on 10/07/2011 at 14:30.
Pushed by cgiboudeaux into branch 'master'.

Remove NoDisplay=true and the Exec line from kontactconfig.desktop
Using Nodisplay=true prevents this kcm from appearing in krunner but also hides the default module kcm in Kontact.

Both issues are now fixed.
BUG: 273721
BUG: 275743
FIXED-IN: 4.7.0

M  +0    -2    kontact/src/kontactconfig.desktop     

http://commits.kde.org/kdepim/8d7f5f76fb4f7f0fa073f3d9292abe141d5e45eb
Comment 6 Christophe Giboudeaux 2011-07-10 12:31:43 UTC
Git commit 15ec38658038bcaa3a6d61e30db547cee45201d3 by Christophe Giboudeaux.
Committed on 10/07/2011 at 14:30.
Pushed by cgiboudeaux into branch '4.7'.

Remove NoDisplay=true and the Exec line from kontactconfig.desktop
Using Nodisplay=true prevents this kcm from appearing in krunner but also hides the default module kcm in Kontact.

Both issues are now fixed.
BUG: 273721
BUG: 275743
FIXED-IN: 4.7.0
(cherry picked from commit 8d7f5f76fb4f7f0fa073f3d9292abe141d5e45eb)

M  +0    -2    kontact/src/kontactconfig.desktop     

http://commits.kde.org/kdepim/15ec38658038bcaa3a6d61e30db547cee45201d3
Comment 7 Christophe Giboudeaux 2011-07-10 12:32:28 UTC
Git commit 21dc98f9b316b05628739c2414a7b6e0ad6547d7 by Christophe Giboudeaux.
Committed on 10/07/2011 at 14:30.
Pushed by cgiboudeaux into branch '4.6'.

Remove NoDisplay=true and the Exec line from kontactconfig.desktop
Using Nodisplay=true prevents this kcm from appearing in krunner but also hides the default module kcm in Kontact.

Both issues are now fixed.
BUG: 273721
BUG: 275743
FIXED-IN: 4.7.0
(cherry picked from commit 8d7f5f76fb4f7f0fa073f3d9292abe141d5e45eb)

M  +0    -2    kontact/src/kontactconfig.desktop     

http://commits.kde.org/kdepim/21dc98f9b316b05628739c2414a7b6e0ad6547d7
Comment 8 Stephen Kelly 2011-07-10 21:08:31 UTC
Awesome. Thanks for the fix.